Subject: bug#24204: temacs crashes on invocation with new GLIBC 2.24

From: [email-masked]
Date: Thu, 11 Aug 2016 09:48:34 -0700

Hi, Eli! This was 24.5 - but not just 10 minutes ago I posted that 
pre-release 25.1-rc1 built correctly. So this bug can most certainly be 
marked as resolved I guess :)

On 2016-08-11 09:46, Eli Zaretskii wrote:
>> Date: Thu, 11 Aug 2016 08:30:57 -0700
>> From: [email-masked]
>> 
>> Using the new glibc, v2.24, and GCC 6.1
>> 
>> Any attempt to run 'temacs' fails with a segment fault. It appears 
>> that
>> the call to 'malloc' inside the 'calloc' function in Emacs' gmalloc.c
>> file starts to recurse, and eventually hits a segment fault after
>> recursing 10,000+ times. Here is the stack trace at the beginning of
>> this nested recursion hell.
>> 
>> I don't know why the call to malloc is turning into a call for the
>> calloc in gmalloc.c, but I think whatever is doing that is causing 
>> this
>> problem.
>> 
>> Any thoughts? Anything else needed?
> 
> You don't say what version of Emacs you tried to build.  I think this
> is already fixed in the development sources.